title
        "The GNU Compiler Collection"
description \
        GCC is the GNU Compiler Collection, which currently contains front ends for C, 
        C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these 
        languages (libstdc++, libgcj,...). Further frontends are available.
pkgname
        gcc
version
        3.3.3
homepage
        http://gcc.gnu.org
archivedirs
        ftp://ftp.gnu.org/gnu/gcc/releases/${pkgname}-${version}/
archivename
        ${pkgname}-${version}.tar.bz2
        ${pkgname}-${version}.tar.gz
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/gcc-${version}-no_fixincludes-1.patch
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/gcc-${version}-specs-1.patch
	http://www.linuxfromscratch.org/patches/downloads/gcc/gcc-3.3.3-filebuf_members-test-1.patch
targets
        toolchain_pre
        toolchain_post
        build \
                patch -Np1 -i ../gcc-${version}-no_fixincludes-1.patch
                patch -Np1 -i ../gcc-3.3.3-filebuf_members-test-1.patch
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/usr \
                --enable-shared --enable-threads=posix \
                --enable-__cxa_atexit --enable-clocale=gnu \
                --enable-languages=c,c++ $EXTRABUILDARGS
                make BOOT_CFLAGS="$CFLAGS"
        check
		before \
	                cd ../${pkgname}-build
        install
		before \
			cd ../${pkgname}-build
                after \
                        ln -sf ../usr/bin/cpp /lib
                        ln -sf gcc /usr/bin/cc
        tools_pass1_build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/tools \
                --with-local-prefix=/tools \
                --disable-nls --enable-shared \
                --enable-languages=c $EXTRABUILDARGS
                make BOOT_CFLAGS="$CFLAGS" BOOT_LDFLAGS="-static" bootstrap
        tools_pass2_build \
                patch -Np1 -i ../gcc-${version}-no_fixincludes-1.patch
                patch -Np1 -i ../gcc-${version}-specs-1.patch
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/tools \
                --with-local-prefix=/tools \
                --enable-clocale=gnu --enable-shared \
                --enable-threads=posix --enable-__cxa_atexit \
                --enable-languages=c,c++ $EXTRABUILDARGS
                make BOOT_CFLAGS="$CFLAGS"
        tools_install
		before \
			cd ../${pkgname}-build
                after \
                        ln -sf gcc /tools/bin/cc
        adjust \
                SPECFILE=/tools/lib/gcc-lib/*/*/specs &&
                sed -e 's@ /lib/ld-linux.so.2@ /tools/lib/ld-linux.so.2@g' \
                      $SPECFILE > tempspecfile &&
                mv -f tempspecfile $SPECFILE &&
                unset SPECFILE
                rm -f /tools/lib/gcc-lib/*/*/include/{pthread.h,bits/sigthread.h}
        re-adjust \
                SPECFILE=/tools/lib/gcc-lib/*/*/specs &&
                sed -e 's@ /tools/lib/ld-linux.so.2@ /lib/ld-linux.so.2@g' \
                     $SPECFILE > newspecfile &&
                mv -f newspecfile $SPECFILE &&
                unset SPECFILE
