title
        "The GNU C Library"
description \
        Any Unix-like operating system needs a C library: the library which defines the
        system calls and other basic facilities such as open, malloc, printf, exit..
        The GNU C library is used as the C library in the GNU system and most systems
        with the Linux kernel.
pkgname
        glibc
version
        2.3.3-lfs-5.1
homepage
        http://www.gnu.org/software/libc
archivedirs
        ftp://gaosu.rave.org/pub/linux/lfs/packages/conglomeration/
        http://lfs.mirror.intermedia.com.sg/packages/glibc/
        ftp://lfs.mirror.intermedia.com.sg/pub/lfs/glibc/
        http://dl.lfs.fredan.org/
        http://packages.lfs-es.org/
        http://mirror.averse.net/lfs-packages/
        ftp://mirror.averse.net/pub/lfs-packages/
        ftp://ftp.lfs-matrix.de/lfs/packages/conglomeration/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
targets
        toolchain_pre
        toolchain_post
        build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/usr \
                --disable-profile --enable-add-ons=linuxthreads \
                --libexecdir=/usr/lib --with-headers=/usr/include \
                --without-cvs --enable-kernel=$GLIBC_KERNELVER --build=$CHOST
                cp config.make config.make-backup
                sed "s/cross-compiling = maybe/cross-compiling = no/g" config.make-backup > config.make.
                make
                make -C ../${pkgname}-${version}/linuxthreads/man
        check 
		before \
			cd ../${pkgname}-build
        install \
                cd ../${pkgname}-build
                touch /etc/ld.so.conf
                make install
                make localedata/install-locales
                #mkdir -p /usr/lib/locale
                #localedef -i de_DE -f ISO-8859-1 de_DE
                #localedef -i de_DE@euro -f ISO-8859-15 de_DE@euro
                #localedef -i en_HK -f ISO-8859-1 en_HK
                #localedef -i en_PH -f ISO-8859-1 en_PH
                #localedef -i en_US -f ISO-8859-1 en_US
                #localedef -i es_MX -f ISO-8859-1 es_MX
                #localedef -i fr_FR -f ISO-8859-1 fr_FR
                #localedef -i fr_FR@euro -f ISO-8859-15 fr_FR@euro
                #localedef -i it_IT -f ISO-8859-1 it_IT
                #localedef -i ja_JP -f EUC-JP ja_JP
                make -C ../${pkgname}-${version}/linuxthreads/man install
                cp ${gdir}/nsswitch.conf /etc/nsswitch.conf
                cp --remove-destination /usr/share/zoneinfo/$TZ /etc/localtime
                cp ${gdir}/ld.so.conf /etc/ld.so.conf
        tools_build \
                mkdir -p ../${pkgname}-build
                cd ../${pkgname}-build
                ../${pkgname}-${version}/configure --prefix=/tools \
                --disable-profile --enable-add-ons=linuxthreads \
                --with-binutils=/tools/bin --with-headers=/tools/include \
                --without-gd --without-cvs --enable-kernel=$GLIBC_KERNELVER --build=$CHOST
                make
        tools_install \
                cd ../${pkgname}-build
                mkdir /tools/etc
                touch /tools/etc/ld.so.conf
                make install
                make localedata/install-locales
