title
        perl
description \
        Perl is a high-level programming language with an eclectic heritage
        written by Larry Wall and a cast of thousands. It derives from the
        ubiquitous C programming language and to a lesser extent from sed,
        awk, the Unix shell, and at least a dozen other tools and languages. 
pkgname
        perl
version
        5.8.4
homepage
        http://www.perl.com
archivedirs
        ftp://ftp.funet.fi/pub/CPAN/src/
        http://ftp.funet.fi/pub/CPAN/src/
archivename
        ${pkgname}-${version}.tar.gz
        ${pkgname}-${version}.tar.bz2
patches
        http://www.linuxfromscratch.org/patches/lfs/${lfsver}/perl-${version}-libc-1.patch
targets
        pre
        build \
                mkdir -p libs/auto/POSIX
                cp --no-preserve=timestamps /tools/lib/perl5/${version}/auto/POSIX/autosplit.ix \
                libs/auto/POSIX
                ./configure.gnu --prefix=/usr -Dpager="/bin/less -isR" \
                -Dhost=$CHOST -Dtarget=$CHOST -Darchname=$CHOST
                make
        check \
                echo "127.0.0.1 localhost ${HOSTNAME}" > /etc/hosts
                make test
        install
        post
        tools_pre
        tools_build \
                patch -Np1 -i ../perl-${version}-libc-1.patch
                echo "uname -m" > /tools/bin/arch
                chmod 755 /tools/bin/arch
                ./configure.gnu --prefix=/tools -Dstatic_ext='IO Fcntl POSIX File/Glob' \
                -Dhost=$CHOST -Dtarget=$CHOST -Darchname=$CHOST
                make perl utilities
        tools_install \
                cp perl pod/pod2man /tools/bin
                mkdir -p /tools/lib/perl5/${version}
                cp -R lib/* /tools/lib/perl5/${version}
        tools_post
