title
        "Kernel and system logging daemons"
description \
        This package implements two system log daemons. The syslogd daemon is an enhanced
        version of the standard Berkeley utility program. This daemon is responsible for
        providing logging of messages received from programs and facilities on the local
        host as well as from remote hosts. The klogd daemon listens to kernel message
        sources and is responsible for prioritizing and processing operating system
        messages. The klogd daemon can run as a client of syslogd or optionally as a
        standalone program. Klogd can now be used to decode EIP addresses if it can
        determine a System.map file.
pkgname
        sysklogd
version
        1.4.1
homepage
        http://www.infodrom.org/projects/sysklogd
archivedirs
        http://www.infodrom.org/projects/sysklogd/download/
archivename
        ${pkgname}-${version}.tar.gz
patches
targets
        pre
        build \
                make RPM_OPT_FLAGS="$CFLAGS"
        check
        install
                after \
                        cat > /etc/syslog.conf << "EOF"
                        # Begin /etc/syslog.conf
                        
                        auth,authpriv.* -/var/log/auth.log
                        *.*;auth,authpriv.none -/var/log/sys.log
                        daemon.* -/var/log/daemon.log
                        kern.* -/var/log/kern.log
                        mail.* -/var/log/mail.log
                        user.* -/var/log/user.log
                        *.emerg *
                        
                        # End /etc/syslog.conf
                        EOF
        post
